#!/usr/bin/env perl
use strict;
use warnings;
use Test::More;
use File::Basename;
use File::Spec::Functions;
use Data::Dumper;

use Test::Output;
use Mojo::JSON 'decode_json';

my $script = catfile(dirname(__FILE__), '..', 'script', 'cosmasvc2koralquery');
my $list1 = catfile(dirname(__FILE__), 'data', 'list-example.ls');

# Check STDOUT
stdout_like(
  sub {
    system($script, 'list', $list1);
  },
  qr!Convert!,
  "check stdout"
);

# Check JSON
# my $protocol = join('', `$script list $list1`);

done_testing;
__END__
